Skocz do zawartości
Komentator

Kurs Raspberry Pi - #11 - filmy, slowmotion, timelapse

Pomocna odpowiedź

(edytowany)

@ekofarmer witam na forum! Może sprawdź czy to działa:

Dnia 21.08.2019 o 12:51, Yuarez napisał:

zainstaluj pakiet ffmpeg 


sudo apt install ffmpeg 

aby stworzyć timelapse użyj 


ffmpeg -i image%04d.jpg -r 10 -vcodec libx264 -vf scale=1280:720 timelapse.mp4

U mnie działa 🙂

Według informacji którą masz w wyniku to pakiet ten zastępuje ten co chcesz zainstalować. Daj znać czy działa.

Edytowano przez Gieneq
  • Lubię! 1

Udostępnij ten post


Link to post
Share on other sites
8 godzin temu, ekofarmer napisał:

Jakieś pomysły, wskazówki, sugestie?

Jedna sugestia: czytać to co wypisuje apt (w końcu po coś to wypisuje) i wyciągać wnioski zamiast wrzucać na forum i czekać, aż ktoś za nas to przeczyta. Niestety, komputery - nawet te najprostsze - wymagają nieco myślenia.

W tym przypadku apt napisał:

Cytat

Jednak następujące pakiety go zastępują:
  ffmpeg

Jak myślisz, co powinieneś zrobić?

Dobrym zwyczajem jest również czytywanie wiadomości na forum zanim się zada pytania - akurat niedawno ktoś miał podobny przypadek.

Udostępnij ten post


Link to post
Share on other sites

Wszystko pięknie działa! Bardzo mi się podoba film pokladkowy, tylko pytanie czy jest taka opcja, jeżeli ustawię czas robienia zdjęć na 12 godzin i po tych 12 godzinach kolejne zdjęcia żeby się  nadpisywały, bo brakuje miejsca na dysku. 

Udostępnij ten post


Link to post
Share on other sites

@Grunger witam na forum 🙂 Jeśli niczego nie przeoczyłem to nie ma domyślnie dostępnej funkcji tego typu. Najwygodniej byłoby chyba napisać skrypt, który będzie niezależnie zliczał liczbę zdjęcia w katalogu i kasował najstarsze zdjęcia, jeśli przekroczy się ustalony limit.

Udostępnij ten post


Link to post
Share on other sites

A jeżeli podłącze hdd dysk zewnętrzny pod usb 3.0 i sformatuje na fat, będę mógł wybrać wybrać przez terminal ścieżkę, żeby tam zapisywały się zdjęcia? 

Udostępnij ten post


Link to post
Share on other sites

Cześć.

Widziałem, że temat był już poruszany, lecz wygląda na to że może coś się zmieniło od czasu dyskusji. Mianowicie nie mogę zainstalować pakietu libav-tools.

pi@raspberrypi:~/timelapse $ sudo apt-get install -y libav-tools
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Pakiet libav-tools nie ma dostępnej wersji, ale odnosi się do niego inny pakiet.
Zazwyczaj oznacza to, że pakietu brakuje, został zastąpiony przez inny
pakiet lub nie jest dostępny przy pomocy obecnie ustawionych źródeł.
Jednak następujące pakiety go zastępują:
  ffmpeg

E: Pakiet libav-tools nie ma kandydata do instalacji

Pakiet ffmpeg mogłem zainstalować, lecz nie działa poprawnie.

pi@raspberrypi:~/timelapse $ ffmpeg 
ffmpeg: symbol lookup error: /usr/lib/arm-linux-gnueabihf/neon/vfp/libavcodec.so.58: undefined symbol: bcm_host_is_fkms_active
pi@raspberrypi:~/timelapse $ ffmpeg --help
ffmpeg: symbol lookup error: /usr/lib/arm-linux-gnueabihf/neon/vfp/libavcodec.so.58: undefined symbol: bcm_host_is_fkms_active

Czy macie jakieś sugestie jak można to naprawić? Oczywiście sprawdzałem w google, ale póki co bez sukcesów.

Udostępnij ten post


Link to post
Share on other sites
(edytowany)

Testowałem to w czasie pisania postu wyżej i wtedy od razu pomogło, ale fakt mogło się coś zmienić. Zobacz czy instalacja (jeżeli jest możliwa) libavdevice coś pomoże. Nie mam teraz jak tego sprawdzić.

Edytowano przez Gieneq
  • Lubię! 1

Udostępnij ten post


Link to post
Share on other sites
5 godzin temu, Gieneq napisał:

Testowałem to w czasie pisania postu wyżej i wtedy od razu pomogło, ale fakt mogło się coś zmienić. Zobacz czy instalacja (jeżeli jest możliwa) libavdevice coś pomoże. Nie mam teraz jak tego sprawdzić.

Już się z tym uporałem. Musiałem zaktualizować pakiety systemu, tzn. wykonałem sudo apt update, sudo apt upgrade, następnie do komendy z kursu odstawiłem ddmpeg zamiast avconv.

Dziękuję za odzew. 🙂

  • Lubię! 1

Udostępnij ten post


Link to post
Share on other sites

Fajnie ze się udało, to pokazuje że jednak te update/upgrade jest w stanie rozwiązać sporo problemów 😄 

  • Lubię! 1

Udostępnij ten post


Link to post
Share on other sites

Dołącz do dyskusji, napisz odpowiedź!

Jeśli masz już konto to zaloguj się teraz, aby opublikować wiadomość jako Ty. Możesz też napisać teraz i zarejestrować się później.
Uwaga: wgrywanie zdjęć i załączników dostępne jest po zalogowaniu!

Gość
Dołącz do dyskusji! Kliknij i zacznij pisać...

×   Wklejony jako tekst z formatowaniem.   Przywróć formatowanie

  Dozwolonych jest tylko 75 emoji.

×   Twój link będzie automatycznie osadzony.   Wyświetlać jako link

×   Twoja poprzednia zawartość została przywrócona.   Wyczyść edytor

×   Nie możesz wkleić zdjęć bezpośrednio. Prześlij lub wstaw obrazy z adresu URL.


×
×
  • Utwórz nowe...